double kirsch(nr_rows, nr_cols, array)
int nr_rows;
int nr_cols;
double **array;
{
  double bv[8], maxim, r, s, t;
  register int i;

/* Copy pixels into pinax bv */
  bv[0]=array[0][0];
  bv[1]=array[0][1];
  bv[2]=array[0][2];
  bv[3]=array[1][2];
  bv[4]=array[2][2];
  bv[5]=array[2][1];
  bv[6]=array[2][0];
  bv[7]=array[1][0];

/* Calculate result into maxim */
  for (maxim=1.0,i=0;i<8;i++){
      s=bv[(i)%8]+bv[(i+1)%8]+bv[(i+2)%8];
      t=bv[(i+3)%8]+bv[(i+4)%8]+bv[(i+5)%8]+bv[(i+6)%8]+bv[(i+7)%8];
      r=abs(5*s-3*t);
      if (r>maxim) maxim=r;
  }

return maxim;
}
/*
Additional kernel C/ErMapper code implemeted for educational purposes.
Copyright (C) 1992-2011 Ch Iossif - chiossif@yahoo.com

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

