#define sqr(x) ((x)*(x))

double texture_variance(nr_rows, nr_cols, array)
int nr_rows;
int nr_cols;
double **array;
{
  double meanbv, sbv, nbv, bv;
  register int k, l;

  sbv=0.0;
  for(k = 0; k < nr_rows; ++k)
    for(l = 0; l < nr_cols; ++l)
      sbv+=array[k][l];
  meanbv=sbv/nr_rows/nr_cols;

  sbv=0.0;
  for(k = 0; k < nr_rows; ++k)
    for(l = 0; l < nr_cols; ++l){
      bv=meanbv-array[k][l];
      sbv+=sqr(bv);
    }

  nbv=sbv/nr_rows/nr_cols;

return nbv;
}
/*
Additional kernel C/ErMapper code implemeted for educational purposes.
Copyright (C) 1992-2011 Ch Iossif - chiossif@yahoo.com

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

